Subject: bug#1858: cleanup: POLL_FOR_INPUT

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 16 Jul 2011 20:31:30 +0200

Lars Magne Ingebrigtsen <[email-masked]> writes:

>> #ifdef HAVE_WINDOW_SYSTEM
>
>> #if defined(HAVE_WINDOW_SYSTEM) && !defined(USE_ASYNC_EVENTS)
>
> Is this a bug, or are the two .c files supposed to have different
> conditions for when to switch POLL_FOR_INPUT on?

Looking at the changelogs, the version in keyboard.c was newer, so I
used the 

#if defined(HAVE_WINDOW_SYSTEM) && !defined(USE_ASYNC_EVENTS)

in process.h, too.  I 

Somebody can probably correct this if this is wrong.  :-)

However, I have no idea what USE_ASYNC_EVENTS refer to, since it isn't
mention anywhere else in any of the files.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/